<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.TNotProcurementBidMapper">


    <select id="selectByPlanId" resultType="cn.iocoder.yudao.module.knowledge.entity.TNotProcurementBid">
        SELECT
            id AS id,
            orders AS orders,
            type AS "type",
            purchase_matters AS purchaseMatters,
            purchase_content AS purchaseContent,
            estimated_price AS estimatedPrice,
            plan_time AS planTime,
            evaluation_method AS evaluationMethod,
            confirmation_mode AS confirmationMode,
            creator AS creator,
            create_time AS createTime,
            update_time AS updateTime
        FROM
            t_not_procurement_bid
        WHERE
            bid_plan_id = #{id}
          AND deleted = 0
        ORDER BY
            "order" DESC
    </select>



</mapper>
